Description

Logger.new: http://ruby-doc.org/stdlib-2.3.0/libdoc/logger/rdoc/Logger.html#new-method

From only looking at the docs, it's not obvious what the default value is for Logger.new shift_age or shift_size, nor what value

disables the shift_age option. The only way to find out is to look at the code itself.

Show default value for shift_age

Show default value for shift_size

See: https://github.com/documenting-ruby/ruby/issues/64 and https://github.com/documenting-ruby/ruby/pull/65.

Associated revisions

Revision 990b23bbbc991f7f2c9778fd85ba0a3aa773dbdb - 10/14/2016 09:01 AM - hsbt (Hiroshi SHIBATA)

lib/logger.rb: Improve Logger.new option documentation.

[Feature #12803][ruby-core:77467]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56420 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 990b23bb - 10/14/2016 09:01 AM - hsbt (Hiroshi SHIBATA)

lib/logger.rb: Improve Logger.new option documentation.

[Feature #12803][ruby-core:77467]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56420 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 10/14/2016 09:01 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

Applied in changeset r56420.

lib/logger.rb: Improve Logger.new option documentation.

[Feature #12803][ruby-core:77467]

#2 - 10/14/2016 09:01 AM - hsbt (Hiroshi SHIBATA)

- Assignee set to hsbt (Hiroshi SHIBATA)

Files

0001-Specify-Logger.new-shift_size-default.patch 832 Bytes 10/01/2016 spacemunkay (Jason Denney)
